org.apache.ode.bpel.iapi

## Class Endpoint

- java.lang.Object
- - org.apache.ode.bpel.iapi.Endpoint

-     public class Endpoint
      extends java.lang.Object

  Concrete representation of service endpoint. This consists of a service qualified name and port name per WSDL specification.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `portName` Port Name
    `javax.xml.namespace.QName` | `serviceName` Service QName

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Endpoint(javax.xml.namespace.QName serviceName, java.lang.String portName)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)` Equality operator, check whether service name and port name are both equal.
    `int` | `hashCode()`
    `java.lang.String` | `toString()` Print object in the form serviceQName:port

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serviceName

          public final javax.xml.namespace.QName serviceName

      Service QName

    - #### portName

          public final java.lang.String portName

      Port Name

  - ### Constructor Detail

    - #### Endpoint

          public Endpoint(javax.xml.namespace.QName serviceName,
                          java.lang.String portName)

      Constructor.

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object other)

      Equality operator, check whether service name and port name are both equal.
      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Print object in the form serviceQName:port
      Overrides:
        `toString` in class `java.lang.Object`